"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoggerElasticSearch = void 0;
const logger_1 = __importDefault(require("./lib/logger"));
const elasticsearch_1 = require("@elastic/elasticsearch");
class LoggerElasticSearch extends logger_1.default {
    constructor({ index, env, options }) {
        super();
        this._index = index;
        this._env = env;
        this._logger = new elasticsearch_1.Client(options);
    }
    get logger() {
        return this._logger;
    }
    info(data) {
        if (this._env === 'production') {
            this._logger.index({
                index: this._index,
                body: this.createBody(data, 'info'),
            });
        }
    }
    debug(data) {
        if (this._env === 'production') {
            this._logger.index({
                index: this._index,
                body: this.createBody(data, 'debug'),
            });
        }
    }
    warn(data) {
        if (this._env === 'production') {
            this._logger.index({
                index: this._index,
                body: this.createBody(data, 'warn'),
            });
        }
    }
    error(data) {
        if (this._env === 'production') {
            this._logger.index({
                index: this._index,
                body: this.createBody(data, 'error'),
            });
        }
    }
    createDocument(data) {
        return Object.assign(data, { datetime: new Date() });
    }
    createBody(data, level) {
        return {
            level,
            document: this.createDocument(data),
        };
    }
}
exports.LoggerElasticSearch = LoggerElasticSearch;
exports.default = LoggerElasticSearch;
//# sourceMappingURL=index.js.map